# -*- coding: utf-8 -*-
u"""
Examples for the ``correg`` module.

``correg`` - Correlation and Regression Analysis

This module is concerned with two techniques

- correlation analysis and

- regression modelling,

both of which are concerned with determining the inter-relationships
among two or more variables.

Other modules of the NAG Library which cover similar problems are
submodule ``fit`` and submodule ``opt``. Submodule ``fit`` functions may
be used to fit linear models by criteria other than least squares, and
also for polynomial regression; submodule ``opt`` functions may be used
to fit nonlinear models and linearly constrained linear models.

For full information please refer to the NAG Library document

https://www.nag.com/numeric/nl/nagdoc_27/flhtml/g02/g02intro.html
"""

# NAG Copyright 2017-2019.

pass
