# -*- coding: utf-8 -*-
u"""
Examples for the ``interp`` module.

``interp`` - Interpolation

This module is concerned with the interpolation of a function of one or
more variables.
When provided with the value of the function (and possibly one or more
of its lowest-order derivatives) at each of a number of values of the
variable(s), the NAG Library functions provide either an interpolating
function or an interpolated value.
For some of the interpolating functions, there are supporting NAG
Library functions to evaluate, differentiate or integrate them.

For full information please refer to the NAG Library document

https://www.nag.com/numeric/nl/nagdoc_27/flhtml/e01/e01intro.html
"""

# NAG Copyright 2017-2019.

pass
