#!/usr/bin/env python
"""
Tests for integration of the naginterfaces package with pytest.

Public use of this module is not supported by NAG.
"""

# NAG Copyright 2018.

# pylint: disable=protected-access

import ctypes

from naginterfaces.base import utils as b_utils

def test_io():
    """
    Test that pytest's swapped out file descriptors are handled correctly
    by the record printing in the NAG package.
    """
    en_data = b_utils._EngineData()
    io_manager = None
    excs = []
    ifail = ctypes.c_int()
    b_utils._py_print_rec(
        en_data,
        b_utils.FileObjManager.advunit,
        b'Hello', io_manager, excs, ifail,
        fun_name='test_io',
    )
